CUDA Runtime API Specific Functions(3)

NAME
CUDA Runtime API Specific Functions -

  Functions
static inline int hwloc_cudart_get_device_cpuset (hwloc_topology_t topology , int device, hwloc_cpuset_t set)

Function Documentation

  static inline int hwloc_cudart_get_device_cpuset (hwloc_topology_t topology, intdevice, hwloc_cpuset_tset) [static]

Get the CPU set of logical processors that are physically close to device cudevice. For the given CUDA Runtime API device cudevice, read the corresponding kernel-provided cpumap file and return the corresponding CPU set. This function is currently only implemented in a meaningful way for Linux; other systems will simply get a full cpuset.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.